de.esprit.appsuite.nio.ascii

## Class AsciiCode

- java.lang.Object
- - de.esprit.appsuite.nio.ascii.AsciiCode

-     public final class AsciiCode
      extends java.lang.Object

  This class defines the ASCII codes used by the ascii parser as well as according helper methods.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `CHAR_127`
    `static byte` | `CHAR_A`
    `static byte` | `CHAR_COLON`
    `static byte` | `CHAR_COMMA`
    `static byte` | `CHAR_DOLLAR`
    `static byte` | `CHAR_DOT`
    `static byte` | `CHAR_e`
    `static byte` | `CHAR_E`
    `static byte` | `CHAR_EQUAL`
    `static byte` | `CHAR_EXCL_MARK`
    `static byte` | `CHAR_HASH`
    `static byte` | `CHAR_MINUS`
    `static byte` | `CHAR_PLUS`
    `static byte` | `CHAR_SEMICOLON`
    `static byte` | `CHAR_TILDE`
    `static byte` | `CHAR_Z`
    `static byte` | `CR`
    `static byte` | `LF`
    `static byte` | `NULL`
    `static byte` | `NUM_0`
    `static byte` | `NUM_9`
    `static byte` | `SP`
    `static byte` | `TAB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsciiCode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static short` | `getSignFactor(byte code)`
    `static boolean` | `isDigit(byte code)`
    `static boolean` | `isExponentLiteral(byte code)`
    `static boolean` | `isPrintable(byte code)`
    `static boolean` | `isWhiteSpace(byte code)`
    `static short` | `toDecimal(byte code)` Returns the decimal number value of the given ascii code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final byte NULL

      See Also:
        Constant Field Values

    - #### TAB

          public static final byte TAB

      See Also:
        Constant Field Values

    - #### LF

          public static final byte LF

      See Also:
        Constant Field Values

    - #### CR

          public static final byte CR

      See Also:
        Constant Field Values

    - #### SP

          public static final byte SP

      See Also:
        Constant Field Values

    - #### CHAR_EXCL_MARK

          public static final byte CHAR_EXCL_MARK

      See Also:
        Constant Field Values

    - #### CHAR_HASH

          public static final byte CHAR_HASH

      See Also:
        Constant Field Values

    - #### CHAR_DOLLAR

          public static final byte CHAR_DOLLAR

      See Also:
        Constant Field Values

    - #### CHAR_PLUS

          public static final byte CHAR_PLUS

      See Also:
        Constant Field Values

    - #### CHAR_COMMA

          public static final byte CHAR_COMMA

      See Also:
        Constant Field Values

    - #### CHAR_MINUS

          public static final byte CHAR_MINUS

      See Also:
        Constant Field Values

    - #### CHAR_DOT

          public static final byte CHAR_DOT

      See Also:
        Constant Field Values

    - #### NUM_0

          public static final byte NUM_0

      See Also:
        Constant Field Values

    - #### NUM_9

          public static final byte NUM_9

      See Also:
        Constant Field Values

    - #### CHAR_COLON

          public static final byte CHAR_COLON

      See Also:
        Constant Field Values

    - #### CHAR_SEMICOLON

          public static final byte CHAR_SEMICOLON

      See Also:
        Constant Field Values

    - #### CHAR_EQUAL

          public static final byte CHAR_EQUAL

      See Also:
        Constant Field Values

    - #### CHAR_A

          public static final byte CHAR_A

      See Also:
        Constant Field Values

    - #### CHAR_E

          public static final byte CHAR_E

      See Also:
        Constant Field Values

    - #### CHAR_Z

          public static final byte CHAR_Z

      See Also:
        Constant Field Values

    - #### CHAR_e

          public static final byte CHAR_e

      See Also:
        Constant Field Values

    - #### CHAR_TILDE

          public static final byte CHAR_TILDE

      See Also:
        Constant Field Values

    - #### CHAR_127

          public static final byte CHAR_127

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AsciiCode

          public AsciiCode()

  - ### Method Detail

    - #### isWhiteSpace

          public static boolean isWhiteSpace(byte code)

    - #### getSignFactor

          public static short getSignFactor(byte code)

    - #### isPrintable

          public static boolean isPrintable(byte code)

    - #### isDigit

          public static boolean isDigit(byte code)

    - #### isExponentLiteral

          public static boolean isExponentLiteral(byte code)

    - #### toDecimal

          public static short toDecimal(byte code)

      Returns the decimal number value of the given ascii code.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.